import os

# Ottieni la directory corrente (dove si trova lo script)
directory = os.getcwd()

# Esplora ricorsivamente la directory e le sue sottodirectory
for subdir, dirs, files in os.walk(directory):
    for file in files:
        if file.endswith('.html'):
            file_path = os.path.join(subdir, file)
            with open(file_path, 'r', encoding='utf-8') as f:
                content = f.read()
            
            # Sostituisci i link .php con .php.html
            content = content.replace('.php"', '.php.html"')
            content = content.replace('.php\'', '.php.html\'')
            
            with open(file_path, 'w', encoding='utf-8') as f:
                f.write(content)

print("Conversione completata!")
